import request from "@/utils/request";

// 用户列表
export function userManagmentList(query) {
    return request({
        url: '/system/user/userList',
        method: 'get',
        data: query
    })
}

// 新增用户
export function addUser(data) {
    return request({
        url: '/system/user',
        method: 'post',
        data: data
    })
}

// 修改用户
export function updateUser(data) {
    return request({
        url: '/system/user',
        method: 'put',
        data: data
    })
}

// 删除用户
export function delUser(userId) {
    return request({
        url: '/system/user/' + userId,
        method: 'delete'
    })
}
